; $Id: launchdave_mdicer.pro,v 1.7 2005/02/03 18:04:12 azuah Exp $
;###############################################################################
;
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used of if the code in this file is
;  included in another product.
;
;###############################################################################
; Written by J.R.D. Copley
;************************************************************************************************
pro launchdave_mdicer,event
;************************************************************************************************
;
compile_opt strictarr
;
widget_control,event.top,get_uvalue = pState
thisEvent = tag_names(event,/structure_name)
case thisEvent of

'WIDGET_BUTTON':$
	begin
;
	resp=dialog_message(dialog_parent=event.top,[$
		"Please note that the ''DCS Multiplot utility'' supercedes the old",$
		"''Multiple dataset slicer'' program.",$
		"","''DCS Multiplot utility'' may be found at ''Tools| DCS Tools| ...''",$
		"","Click ''OK'' (or hit Enter) to be taken to ''DCS Multiplot utility.''   ",$
		"Click ''Cancel'' to return to the main menu."],/cancel,$
		/information)
	if (resp eq "OK") then begin
		launchdcs_multiplot,event
		return
	endif
;	if (resp eq "No") then begin
;		daveDeSensitizeButtons,event
;		inPtr = ptr_new(*pState)
;		dave_mdicer,[event.id,event.top],inPtr,group_leader = event.top
;	endif
	if (resp eq "Cancel") then return
	end

'MDCEVENT': $
	begin
	*pState = *event.inPtr
	ptr_free,event.inPtr
	daveSensitizeButtons,event
	end
else:
endcase
return
end
